# Glom::PyGlomRecord Class Reference

Collaboration diagram for Glom::PyGlomRecord:
[legend]

List of all members.

## Public Types

typedef std::map < Glib::ustring, Gnome::Gda::Value > | type_map_field_values

## Public Member Functions

| PyGlomRecord ()
| ~PyGlomRecord ()
void | set_read_only ()
std::string | get_table_name () const
boost::python::object | get_connection ()
boost::python::object | get_related ()
long | len () const
boost::python::object | getitem (const boost::python::object& item)
void | setitem (const boost::python::object&, const boost::python::object&)
void | set_fields (const PyGlomRecord::type_map_field_values& field_values, Document* document, const Glib::ustring& table_name, const sharedptr< const Field >& key_field, const Gnome::Gda::Value& key_field_value, const Glib::RefPtr< Gnome::Gda::Connection >& opened_connection)

## Public Attributes

Document* | m_document
Glib::ustring | m_table_name
type_map_field_values | m_map_field_values

## Member Typedef Documentation

typedef std::map<Glib::ustring, Gnome::Gda::Value> Glom::PyGlomRecord::type_map_field_values

## Constructor & Destructor Documentation

Glom::PyGlomRecord::PyGlomRecord | ( |  | ) |

Glom::PyGlomRecord::~PyGlomRecord | ( |  | ) |

## Member Function Documentation

boost::python::object Glom::PyGlomRecord::get_connection | ( |  | ) |

boost::python::object Glom::PyGlomRecord::get_related | ( |  | ) |

std::string Glom::PyGlomRecord::get_table_name | ( |  | ) | const

boost::python::object Glom::PyGlomRecord::getitem | ( | const boost::python::object & | item | ) |

long Glom::PyGlomRecord::len | ( |  | ) | const

void Glom::PyGlomRecord::set_fields | ( | const PyGlomRecord::type_map_field_values& | field_values,
|  | Document* | document,
|  | const Glib::ustring & | table_name,
|  | const sharedptr< const Field >& | key_field,
|  | const Gnome::Gda::Value & | key_field_value,
|  | const Glib::RefPtr< Gnome::Gda::Connection > & | opened_connection |
| ) |  |  |

void Glom::PyGlomRecord::set_read_only | ( |  | ) |

void Glom::PyGlomRecord::setitem | ( | const boost::python::object & | key,
|  | const boost::python::object & | value |
| ) |  |  |

## Member Data Documentation

Document* Glom::PyGlomRecord::m_document

type_map_field_values Glom::PyGlomRecord::m_map_field_values

Glib::ustring Glom::PyGlomRecord::m_table_name

The documentation for this class was generated from the following files:

- python_embed/py_glom_record.h
- python_embed/py_glom_record.cc